import { timeFormat } from 'd3';

export const AxisLeft = ({
  yScale,
  innerWidth,
  axisOffset = 25,
}) =>
  yScale.ticks(5).map((t) => (
    <g transform={`translate(0,${yScale(t)})`}>
      <text
        x={-axisOffset}
        fill="black"
        textAnchor="middle"
        dy=".32em"
        textAnchor="end"
      >
        {t / 1000 + 'K'}
      </text>
      <line x2={innerWidth} stroke="#ddd" />
    </g>
  ));
